PHP auf 4.3.3 geupdatet...

Bash, Shell, PHP, Python, Perl, CGI
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

PHP auf 4.3.3 geupdatet...

Post by techneo »

PHP auf 4.3.3 geupdatet, aber bekomme bei der phpinfo() immer noch 4.2.2 angezeigt!

Habe schon überall gesucht und nachgefragt, aber Keiner konnte mir eine Lösung nennen.

Bin über jede Hilfe dankbar!

Gruß DIGIMan
Last edited by techneo on 2004-03-11 23:15, edited 1 time in total.
arty
Userprojekt
Userprojekt
Posts: 729
Joined: 2002-06-12 10:11

Re: PHP auf 4.3.3 geupdatet...

Post by arty »

Apache neu gestartet?

bye
arty
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: PHP auf 4.3.3 geupdatet...

Post by techneo »

Ich habe den Apache mehrmal gestartet und auch nach PHP gesucht!

Auf meinen Server gibt es nur /usr/bin/php und keine zweite /usr/local/bin/php somit sollte er auch die neuere Version finden!

Wenn ich eingeben:

php -v bekomme ich angezeigt:

Code: Select all

PHP 4.3.3 (cgi) (built: Mar 11 2004 20:25:26)
Copyright (c) 1997-2003 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2003 Zend Technologies
Also vermute ich mal das der Apache irgend etwas falsch einspielt!

Gruß DIGIMan
suntzu
Posts: 669
Joined: 2002-12-20 19:47
Location: Mönchengladbach

Re: PHP auf 4.3.3 geupdatet...

Post by suntzu »

Hi,

ist php-cgi die neue Version und das mod_php noch die alte Version? Wie hast du php kompiliert (configure-Angaben)?
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: PHP auf 4.3.3 geupdatet...

Post by techneo »

Ich habe PHP so kompiliert:
./configure --prefix=/usr/share --datadir=/usr/share/php --bindir=/usr/bin --libdir=/usr/share --includedir=/usr/include --with-_lib=lib --with-config-file-path=/etc --with-exec-dir=/usr/lib/php/bin --disable-debug --enable-bcmath --enable-calendar --enable-ctype --enable-dbase --enable-discard-path --enable-exif --enable-filepro --enable-force-cgi-redirect --enable-ftp --enable-gd-imgstrttf --enable-gd-native-ttf --enable-inline-optimization --enable-magic-quotes --enable-mbstr-enc-trans --enable-mbstring --enable-memory-limit --enable-safe-mode --enable-shmop --enable-sigchild --enable-sysvsem --enable-sysvshm --enable-track-vars --enable-trans-sid --enable-versioning --enable-wddx --with-bz2 --with-dom=/usr/include/libxml2 --with-ftp --with-gdbm --with-gettext --with-gmp --with-imap --with-jpeg-dir=/usr --with-ldap --with-mcal=/usr --with-mcrypt --enable-yp --with-mysql=/usr --with-ndbm --with-pgsql=/usr --with-png-dir=/usr --with-snmp --with-t1lib --with-tiff-dir=/usr --with-ttf --with-freetype-dir --with-xml --with-swf=/usr/include/swf --with-xpm-dir=/usr/X11R6 --with-zlib --with-gd --with-openssl --with-curl --with-imap-ssl --with-mm --with-apxs=/usr/sbin/apxs i586-suse-linux --with-iconv
Das letzte brauche ich für den IDNKit, nur aus diesem Grund habe ich PHP neu geupdatet, damit ich in Confixx 3.0 IDN Domains anlegen kann...

Ich habe versucht mal den Befehl "rpmlocate | grep mod_php" einzugeben um zu sehen, ob eine Version läuft! Aber da kommt bei mir nichts.

Was ist bei der "mod_php" zu achten und was muß man da machen?
Bin nicht so gut auf dem Gebiet, da man dies nicht jeden Tag macht!

Gruß DIGIMan
mrjonez
Posts: 6
Joined: 2004-03-11 21:49

Re: PHP auf 4.3.3 geupdatet...

Post by mrjonez »

genau das gleiche problem habe ich auch

phpversion -> 4.2.2.
linuxshell -> php -v -> 4.3.4
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: PHP auf 4.3.3 geupdatet...

Post by techneo »

Ich habe nochmal versucht eine neue ./configure zu laden und soweit mach er alles super!

Anschließen führe ich "make" aus und er bricht zwischendurch ab mit folgendem Fehler:

Code: Select all

nv -lm -lssl -lcrypto -lcrypt -lcrypt  -o libphp4.la
ext/zlib/zlib.lo: file not recognized: File truncated
collect2: ld returned 1 exit status
make: *** [libphp4.la] Error 1
Wer weis was ich da falsch mache oder vergessen habe?

Gruß DIGIMan
mrjonez
Posts: 6
Joined: 2004-03-11 21:49

Re: PHP auf 4.3.3 geupdatet...

Post by mrjonez »

mach einmal make clean und dann nochmal ./configure [params], make und make install. hat bei mir geholfen
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: PHP auf 4.3.3 geupdatet...

Post by techneo »

Soweit hat alles mit "make clean" wunderbar funktioniert!

Schum schluß bekomme ich den Fehler:

Code: Select all

/root/php-4.3.3/ext/iconv/iconv.c:129: `_libiconv_version' undeclared (first use in this function)
/root/php-4.3.3/ext/iconv/iconv.c:129: (Each undeclared identifier is reported only once
/root/php-4.3.3/ext/iconv/iconv.c:129: for each function it appears in.)
/root/php-4.3.3/ext/iconv/iconv.c: In function `php_iconv_string':
/root/php-4.3.3/ext/iconv/iconv.c:272: warning: passing arg 2 of `iconv' from incompatible pointer type
make: *** [ext/iconv/iconv.lo] Error 1
komme einfach nicht weiter!

Gruß DIGIMan